alanpward
Electrical
- Jun 3, 2003
- 2
Hey there,
I have written the following lsp file (see below), Not too advanced at writing them, But I have an idea, Well the problem is once the titleblock is inserted (Block "text"
. Its asks me for the scale and rotation, Is there any way of writing into the Lsp File a way to accept these defaults.....Much appreciate anything you may be able to suggest,
Cheers...Its a basic one, But yet a problem...
;; it.LSP
;; This program will insert the titleblock with editable attributes
;;
(defun C:it (/ ce)
(setq ce (getvar "cmdecho"
)
(setvar "cmdecho" 0)
(command "undo" "m"
(command "i" "text"
(command "0,0"
(command "1"
(command "1"
(command "0"
(setvar "cmdecho" ce)
(princ)
)
I have written the following lsp file (see below), Not too advanced at writing them, But I have an idea, Well the problem is once the titleblock is inserted (Block "text"
Cheers...Its a basic one, But yet a problem...
;; it.LSP
;; This program will insert the titleblock with editable attributes
;;
(defun C:it (/ ce)
(setq ce (getvar "cmdecho"
(setvar "cmdecho" 0)
(command "undo" "m"
(command "i" "text"
(command "0,0"
(command "1"
(command "1"
(command "0"
(setvar "cmdecho" ce)
(princ)
)